/***************************************************************************
 *   Copyright (C) 2004 by bysk                                           *
 *   buysk@pf.pl                                                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef LED_NOTIFY_H
#define LED_NOTIFY_H

#include <qobject.h>
#include <qtimer.h>

#include "config_dialog.h"
#include "config_file.h"
#include "debug.h"
#include "chat.h"
#include "pending_msgs.h"
#include "../notify/notify.h"

class LedNotify : public QObject
{
	Q_OBJECT
	
	private:
		QTimer* timer;
		bool led_status;
		bool blinking;
		bool msgOrChat;
		UinsList newMsgSenders;
		
		//Display* theDisplay;
		
	private slots:
		void blink(void);
	
	public:
		LedNotify(QObject* parent = 0, const char* name = 0);
		~LedNotify();
	
	public slots:
		void newChat(const UinsList &senders, const QString& msg, time_t time);
		void newMessage(const UinsList &senders, const QString& msg, time_t time, bool &grab);
};

#endif // LED_NOTIFY_H
